function onTalk()
	local location = ""
	local hasgolden = getFlag("flag_golden")
	if arguments and type(arguments) == 'string' then
		location = arguments
	end
	if hasgolden == true then
		wait(0.2)
		teleport(232, 152, "GymHub")
		endCutscene()
	end
	disableMovement()
	choiceDialog({
	{
		"Violet_HardlistGyms_Close",
		onChosen = function ()
				closeChoiceDialog()
		end
	},
	{
		"Violet_HardlistGyms_Hub",
		onChosen = function ()
				teleport(232, 152, "GymHub")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Cornerboost_loc_0",
		requires =
		function ()
			if location == "Cornerboost_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(-200, 152, "Cornerboosts")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Cornerboost_loc_1",
		requires =
		function ()
			if location == "Cornerboost_1" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(500, 152, "Cornerboosts")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Cornerboost_loc_2",
		requires =
		function ()
			if location == "Cornerboost_2" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(856, 120, "Cornerboosts")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Cornerboost_loc_3",
		requires =
		function ()
			if location == "Cornerboost_3" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1288, 152, "Cornerboosts")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Cornerboost_loc_4",
		requires =
		function ()
			if location == "Cornerboost_4" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1768, 120, "Cornerboosts")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Cornerboost_loc_5",
		requires =
		function ()
			if location == "Cornerboost_5" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2200, 120, "Cornerboosts")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Cornerboost_loc_6",
		requires =
		function ()
			if location == "Cornerboost_6" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(5000, 120, "Cornerboosts")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Cornerboost_loc_7",
		requires =
		function ()
			if location == "Cornerboost_7" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(5800, 120, "Cornerboosts")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
